Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.wcf.log
Class LogHandler

    java.lang.Object
      com.tonbeller.wcf.log.LogHandler

public class LogHandler
extends java.lang.Object

Field Summary
`static java.lang.String` | `DEBUG_FILE`
`static java.lang.String` | `DEBUG_STDOUT`
`static java.lang.String` | `DEFAULT`
`static java.lang.String` | `ERROR_FILE`
`static java.lang.String` | `ERROR_STDOUT`
`static java.lang.String` | `NOLOG`

Constructor Summary
`LogHandler(java.lang.String logDirName, java.util.Locale locale, java.lang.String context)`

Method Summary
`void` | `addConfig(java.lang.String resourceName, java.lang.String label)` adds a log4j configuration to the list of predefined configs
`void` | `applyConfig(java.lang.String name)`
`java.lang.String[]` | `getConfigNames()`
`static java.lang.String` | `getDefault()` Method getDefault.
`java.lang.String` | `getLabel(java.lang.String configName)` returns null or the label of the config name
`java.io.File` | `getLogFile()` Returns the logFile.
`java.lang.String` | `getRootLoggerLevel()` which level is set for the root logger.
`void` | `setLogFile(java.io.File logFile)` Sets the logFile.
`java.lang.String` | `version()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT

    public static final java.lang.String DEFAULT

See Also:
  Constant Field Values

### NOLOG

    public static final java.lang.String NOLOG

See Also:
  Constant Field Values

### DEBUG_FILE

    public static final java.lang.String DEBUG_FILE

See Also:
  Constant Field Values

### DEBUG_STDOUT

    public static final java.lang.String DEBUG_STDOUT

See Also:
  Constant Field Values

### ERROR_FILE

    public static final java.lang.String ERROR_FILE

See Also:
  Constant Field Values

### ERROR_STDOUT

    public static final java.lang.String ERROR_STDOUT

See Also:
  Constant Field Values

Constructor Detail

### LogHandler

    public LogHandler(java.lang.String logDirName,
                      java.util.Locale locale,
                      java.lang.String context)
               throws java.io.IOException

Method Detail

### addConfig

    public void addConfig(java.lang.String resourceName,
                          java.lang.String label)
                   throws java.io.IOException

  adds a log4j configuration to the list of predefined configs

  Parameters:
    `resourceName` - name of the resource, ".properties" will be appended. Example: "/my/package/log4jdebug"
    `label` - will be presented to the user
  Throws:
    `java.io.IOException`

### getConfigNames

    public java.lang.String[] getConfigNames()

### getLabel

    public java.lang.String getLabel(java.lang.String configName)

  returns null or the label of the config name

  Parameters:
    `configName` -
  Returns:

### applyConfig

    public void applyConfig(java.lang.String name)
                     throws java.io.IOException

  Throws:
    `java.io.IOException`

### version

    public java.lang.String version()

### getLogFile

    public java.io.File getLogFile()

  Returns the logFile.

  Returns:
    File

### setLogFile

    public void setLogFile(java.io.File logFile)

  Sets the logFile.

  Parameters:
    `logFile` - The logFile to set

### getDefault

    public static java.lang.String getDefault()

  Method getDefault.

  Returns:
    String

### getRootLoggerLevel

    public java.lang.String getRootLoggerLevel()

  which level is set for the root logger. May be empty

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD